// Display a video with the specified DFXP captioning document
// 1. Create a function to activate your player with a test, as follows:
//    a. the function takes five parameters:
//       1. integer: The test unique number [inte
//       2. string: filename of the test
//       5. boolean: if autostart should be on or off
//    b. the player goes in <div id="testarea">
// 2. Create one function with one parameter to stop your player. The parameter is the test number.
// 3. Invoke addPlayer("name of the player", "YourActivateFunctionName", "YourStopFunctionName") to add your player

addPlayer("NCAM Player 3.0.1", "activeNCAMTest", "stopNCAMPlayer");

function activeNCAMTest(test_number, filename, autostart) {

    var div = document.getElementById("testarea");
    var value = "ccPlayer.swf?ccVideoName=movie.flv&ccVideoAutoStart="
		   + autostart
		   + "&ccCaptSourceType=external&ccCaptionSource="
		   + filename
		   + "&ccCaptionLanguage=en&ccCaptionAutoHide=false";
    if (-1 != navigator.userAgent.indexOf("MSIE")) {
	// once again, a workaround for IE :-/
	div.innerHTML =
	    '<OBJECT width="340" height="376" classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" '
	    + 'codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" type="application/x-shockwave-flash">'
	    + '<PARAM name="movie" class="object" value="'
	    + value
	    + '/><PARAM name="bgcolor" value="#cccccc"/><PARAM name="allowScriptAccess" value="sameDomain"/>'
	    + '<EMBED width="340" height="376" src="'
	    + value
	    + '" bgcolor="#cccccc" allowscriptaccess="sameDomain" type="application/x-shockwave-flash"/></OBJECT>';
    } else {
	div.innerHTML = '';
	// Create the object
	var obj = document.createElement("object");
	obj.setAttribute("classid", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000");
	obj.setAttribute("codebase", "http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0");
	obj.setAttribute("width", "340");
	obj.setAttribute("height", "376");
	obj.setAttribute("type", "application/x-shockwave-flash");
	var p = document.createElement("param");
	p.setAttribute("name", "movie");
	p.setAttribute("class", "object");
	p.setAttribute("value", value);
	obj.appendChild(p);
	p = document.createElement("param");
	p.setAttribute("name", "bgcolor");
	p.setAttribute("value", "#cccccc");
	obj.appendChild(p);
	p = document.createElement("param");
	p.setAttribute("name", "allowScriptAccess");
	p.setAttribute("value", "sameDomain");
	obj.appendChild(p);
	var embed = document.createElement("embed");
	embed.setAttribute("src", value);
	embed.setAttribute("bgcolor", "#cccccc");
	embed.setAttribute("width", "340");
	embed.setAttribute("height", "376");
	embed.setAttribute("allowScriptAccess", "sameDomain");
	embed.setAttribute("type", "application/x-shockwave-flash");
	obj.appendChild(embed);
	
	// append the object
	div.appendChild(obj);
    }

}

function stopNCAMPlayer(test_number)
{
    // nothing can be done?
}